# Release Notes v0.9.1 : Transition to C++11

The release removes the restriction to use C++11 features.
The build scripts and system requirements are updated to support C++11.
Some features of C++11 have been applied
to refactor the code and fix bugs.


## Major Changes

- Transition to C++11 (issue #116)

- Calculation of both histograms and quantiles for uncertainty analysis (issue #104)

    * Add "--num-bins" and "--num-quantiles" arguments

- Options to use the rare-event and MCUB approximations in uncertainty analysis

- Calculation of the error factor in uncertainty analysis

- Log-normal deviate expression with any level of confidence


## Bug Fixes

- Incorrect sampling for Histogram expressions.
  Weights and boundaries are swapped upon passing to the generator.

- Incorrect reporting of quantiles. (issue #104)

- Incorrect adjustment of the number of sums in probability series
  for the case with very few cut sets.

- Mishandling of 95% confidence level for the log-normal deviate expression
  as 90% confidence level.


## Since v0.9.0

- 54 commits resulted in
  114 files changed, 2695 insertions(+), 2602 deletions(-)
